/*
 *
 *  MakeLib
 *  Copyright (c) 1997-2001 Max Kellermann (max.kellermann@epost.de)
 *
 *  This library is free software; you can redistribute it and/or
 *  modify it under the terms of the GNU Lesser General Public
 *  License as published by the Free Software Foundation;
 *  version 2.1 of the License.
 *
 *  This library is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 *  Lesser General Public License for more details.
 *
 *  You should have received a copy of the GNU Lesser General Public
 *  License along with this library; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 *  $Id: LogEntry.java,v 1.4 2002/02/12 14:47:14 max Exp $
 *
 */

package make.datamodel.composite;

import java.util.Date;

public final class LogEntry {
    /***properties**************************/
    protected Date time;
    protected String host;
    /***Constructor**************************/
    public LogEntry(Date _t, String _h) {
        time = _t; host = _h;
        if (time==null)
            throw new NullPointerException("time must not be null");
    }
    public LogEntry(String _h) {
        this(new Date(), _h);
    }
    /***Object******************************/
    public String toString() {
        return "[LogEntry time="+time+" host="+host+"]";
    }
    /***Data**********************************/
    public Date getTime() { return time; }
    public String getHost() { return host; }
}
