/*
 *
 *  MakeLib
 *  Copyright (c) 1997-2001 Max Kellermann (max.kellermann@epost.de)
 *
 *  This library is free software; you can redistribute it and/or
 *  modify it under the terms of the GNU Lesser General Public
 *  License as published by the Free Software Foundation;
 *  version 2.1 of the License.
 *
 *  This library is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 *  Lesser General Public License for more details.
 *
 *  You should have received a copy of the GNU Lesser General Public
 *  License along with this library; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 *  $Id: LogEntryDOMPersistence.java,v 1.4 2001/08/20 09:23:38 max Exp $
 *
 */

package make.datamodel.composite;

import org.w3c.dom.Document;
import org.w3c.dom.Element;
import make.util.Strings;
import make.xml.DOMUtil;

public abstract class LogEntryDOMPersistence {
    public static Element toElement(Document doc, String tag, LogEntry le) {
	if (le==null)
	    return null;
	Element el = doc.createElement(tag);
	String timeString
	    = Strings.storeDateFormats[Strings.DATETIME]
	    .format(le.getTime());
	el.appendChild(DOMUtil.createStringElement(doc, "time", timeString));
	String host = le.getHost();
	if (host!=null)
	    el.appendChild(DOMUtil.createStringElement(doc, "host", host));
	return el;
    }
}
