/*
 *
 *  MakeLib
 *  Copyright (c) 1997-2001 Max Kellermann (max.kellermann@epost.de)
 *
 *  This library is free software; you can redistribute it and/or
 *  modify it under the terms of the GNU Lesser General Public
 *  License as published by the Free Software Foundation;
 *  version 2.1 of the License.
 *
 *  This library is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 *  Lesser General Public License for more details.
 *
 *  You should have received a copy of the GNU Lesser General Public
 *  License along with this library; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 *  $Id: LogEntrySQLPersistence.java,v 1.3 2001/08/20 09:23:38 max Exp $
 *
 */

package make.datamodel.composite;

import java.util.Date;
import java.sql.PreparedStatement;
import java.sql.SQLException;
import java.sql.ResultSet;
import java.sql.Types;
import java.sql.Timestamp;

public abstract class LogEntrySQLPersistence {
    public static void set(PreparedStatement ps, int[] idx, LogEntry le) 
	throws SQLException {
	if (le==null) {
	    ps.setNull(idx[0]++, Types.TIMESTAMP);
	    ps.setNull(idx[0]++, Types.VARCHAR);
	} else {
	    ps.setTimestamp(idx[0]++, new Timestamp(le.getTime().getTime()));
	    ps.setString(idx[0]++, le.getHost());
	}
    }
    public static LogEntry getLogEntry(ResultSet rs, int[] idx) 
	throws SQLException {
	Date time = rs.getTimestamp(idx[0]++);
	String host = rs.getString(idx[0]++);
	return time==null
	    ?null
	    :new LogEntry(time, host);
    }
}
