/*
 *
 *  MakeLib
 *  Copyright (c) 1997-2001 Max Kellermann (max.kellermann@epost.de)
 *
 *  This library is free software; you can redistribute it and/or
 *  modify it under the terms of the GNU Lesser General Public
 *  License as published by the Free Software Foundation;
 *  version 2.1 of the License.
 *
 *  This library is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 *  Lesser General Public License for more details.
 *
 *  You should have received a copy of the GNU Lesser General Public
 *  License along with this library; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 *  $Id: ProxyEmbeddedManager.java,v 1.5 2001/08/20 09:23:38 max Exp $
 *
 */

package make.datamodel.embedded;

/**
 * This interface is implemented by EmbeddedManager implementations
 * which act as proxy for other EmbeddedManager instances.
 * Foreign classes can analyze the structure of the proxy
 * using methods in this interface.
 */
public interface ProxyEmbeddedManager extends EmbeddedManager {
    /**
     * Returns the EmbeddedManager object that is wrapped
     * with this class, or null if none can be specified.
     * If more than one is used, the implementation may choose
     * to return one of them or null.
     */
    EmbeddedManager getOriginal();
}
