/*
 *
 *  MakeLib
 *  Copyright (c) 1997-2001 Max Kellermann (max.kellermann@epost.de)
 *
 *  This library is free software; you can redistribute it and/or
 *  modify it under the terms of the GNU Lesser General Public
 *  License as published by the Free Software Foundation;
 *  version 2.1 of the License.
 *
 *  This library is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 *  Lesser General Public License for more details.
 *
 *  You should have received a copy of the GNU Lesser General Public
 *  License along with this library; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 *  $Id: NullOutputStream.java,v 1.4 2001/08/20 09:23:38 max Exp $
 *
 */

package make.io;

import java.io.OutputStream;
import java.io.IOException;

/**
 * NullOutputStream is a OutputStream extension that
 * throws away all data written to it, similar to the
 * /dev/null device under Unix.
 */
public class NullOutputStream extends OutputStream {
    /*OutputStream**************************/
    public void write(int b) 
	throws IOException {
    }
    public void write(byte b[], int off, int len) 
	throws IOException {
    }
}
