/*
 *
 *  MakeLib
 *  Copyright (c) 1997-2001 Max Kellermann (max.kellermann@epost.de)
 *
 *  This library is free software; you can redistribute it and/or
 *  modify it under the terms of the GNU Lesser General Public
 *  License as published by the Free Software Foundation;
 *  version 2.1 of the License.
 *
 *  This library is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 *  Lesser General Public License for more details.
 *
 *  You should have received a copy of the GNU Lesser General Public
 *  License along with this library; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 *  $Id: UnixLineOutputStream.java,v 1.1 2001/10/10 18:06:35 max Exp $
 *
 */

package make.io;

import java.io.OutputStream;
import java.io.IOException;

/**
 * UnixLineOutputStream converts everything written to it
 * to Unix line ends.
 */
public class UnixLineOutputStream extends OutputStream {
    /*properties***********************/
    protected OutputStream original;
    /*Constructor***********************/
    public UnixLineOutputStream(OutputStream _o) {
	original = _o;
    }
    /*OutputStream**************************/
    public void write(int b) 
	throws IOException {
	if (b!='\r')
	    original.write(b);
    }
    public void write(byte b[], int off, int len) 
	throws IOException {
	for (int z=0; z<len; z++)
	    write(b[z]);
    }
}
