/*
 *
 *  MakeLib
 *  Copyright (c) 1997-2001 Max Kellermann (max.kellermann@epost.de)
 *
 *  This library is free software; you can redistribute it and/or
 *  modify it under the terms of the GNU Lesser General Public
 *  License as published by the Free Software Foundation;
 *  version 2.1 of the License.
 *
 *  This library is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 *  Lesser General Public License for more details.
 *
 *  You should have received a copy of the GNU Lesser General Public
 *  License along with this library; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 *  $Id: FileMessage.java,v 1.3 2001/10/30 16:47:05 max Exp $
 *
 */

package make.mime;

import java.io.IOException;
import java.io.InputStream;
import java.io.File;
import java.io.FileInputStream;

public class FileMessage extends AbstractMessage {
    /*properties****************/
    protected File file;
    /*Constructor****************/
    public FileMessage(File _f, String type) {
        file = _f;
        setHeader("Content-Type", type);
        setHeader("Content-Length", ""+file.length());
    }
    /*Message***************/
    public InputStream getInputStream() 
        throws IOException {
        return new FileInputStream(file);
    }
}
