/*
 *
 *  MakeLib
 *  Copyright (c) 1997-2001 Max Kellermann (max.kellermann@epost.de)
 *
 *  This library is free software; you can redistribute it and/or
 *  modify it under the terms of the GNU Lesser General Public
 *  License as published by the Free Software Foundation;
 *  version 2.1 of the License.
 *
 *  This library is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 *  Lesser General Public License for more details.
 *
 *  You should have received a copy of the GNU Lesser General Public
 *  License along with this library; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 *  $Id: ModuleRepository.java,v 1.4 2001/08/20 09:23:39 max Exp $
 *
 */

package make.module;

import java.util.Enumeration;

/**
 * ModuleRepository is a place where a number of modules are stored.
 * A modular application may use implementations of this to load
 * additional modules at runtime.
 */
public interface ModuleRepository {
    /**
     * returns a list of the names of all known modules
     */
    Enumeration getModuleNames();
    /**
     * loads the module with the specified name
     */
    ResourceLoader getModule(String name);
}
