/*
 *
 *  MakeLib
 *  Copyright (c) 1997-2001 Max Kellermann (max.kellermann@epost.de)
 *
 *  This library is free software; you can redistribute it and/or
 *  modify it under the terms of the GNU Lesser General Public
 *  License as published by the Free Software Foundation;
 *  version 2.1 of the License.
 *
 *  This library is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 *  Lesser General Public License for more details.
 *
 *  You should have received a copy of the GNU Lesser General Public
 *  License along with this library; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 *  $Id: NetJarModuleRepository.java,v 1.1 2001/10/11 22:30:26 max Exp $
 *
 */

package make.module;

import java.util.Enumeration;
import java.net.URL;
import java.net.MalformedURLException;
import make.util.Debug;
import make.util.EmptyEnumeration;

public class NetJarModuleRepository implements ModuleRepository {
    /*properties************************************/
    protected URL baseURL;
    /*Constructor***********************************/
    public NetJarModuleRepository(URL _url) {
	baseURL = _url;
    }
    /*ModuleRepository*******************************/
    public Enumeration getModuleNames() {
	return new EmptyEnumeration();
    }
    public ResourceLoader getModule(String name) {
	try {
	    URL url = new URL(baseURL, name+".jar");
	    return new JarResourceLoader(url);
	} catch (MalformedURLException e) {
	    Debug.report(e);
	    return null;
	}
    }
}
