/*
 *
 *  MakeLib
 *  Copyright (c) 1997-2001 Max Kellermann (max.kellermann@epost.de)
 *
 *  This library is free software; you can redistribute it and/or
 *  modify it under the terms of the GNU Lesser General Public
 *  License as published by the Free Software Foundation;
 *  version 2.1 of the License.
 *
 *  This library is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 *  Lesser General Public License for more details.
 *
 *  You should have received a copy of the GNU Lesser General Public
 *  License along with this library; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 *  $Id: SQL.java,v 1.1 2001/12/14 17:07:22 max Exp $
 *
 */

package make.sql;

/**
 * This class contains helper functions to manipulate SQL
 * queries.
 */
public abstract class SQL {
    /*Static***********************************/
    public static void appendFilter(StringBuffer sb, String cond) {
        if (sb.length()>0)
            sb.append(" AND ");
        sb.append('(');
        sb.append(cond);
        sb.append(')');
    }
    public static String generateList(String[] names) {
        StringBuffer sql = new StringBuffer();
        for (int z=0; z<names.length; z++) {
            if (z>0)
                sql.append(",");
            sql.append(names[z]);
        }
        return sql.toString();
    }
    public static String generateWhereClause(String[] names) {
        StringBuffer sql = new StringBuffer();
        for (int z=0; z<names.length; z++) {
            if (z>0)
                sql.append(" AND ");
            sql.append(names[z]+"=?");
        }
        return sql.toString();
    }
    public static String generateWhereClause(String tableName, String[] names) {
        StringBuffer sql = new StringBuffer();
        for (int z=0; z<names.length; z++) {
            if (z>0)
                sql.append(" AND ");
            sql.append(tableName+"."+names[z]+"=?");
        }
        return sql.toString();
    }
    public static String generateAssign(String[] names) {
        StringBuffer sql = new StringBuffer();
        for (int z=0; z<names.length; z++) {
            if (z>0)
                sql.append(",");
            sql.append(names[z]+"=?");
        }
        return sql.toString();
    }
    public static String generateQmark(int count) {
        StringBuffer sql = new StringBuffer();
        for (int z=0; z<count; z++) {
            if (z>0)
                sql.append(",");
            sql.append("?");
        }
        return sql.toString();
    }
}
