/*
 *
 *  MakeLib
 *  Copyright (c) 1997-2001 Max Kellermann (max.kellermann@epost.de)
 *
 *  This library is free software; you can redistribute it and/or
 *  modify it under the terms of the GNU Lesser General Public
 *  License as published by the Free Software Foundation;
 *  version 2.1 of the License.
 *
 *  This library is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 *  Lesser General Public License for more details.
 *
 *  You should have received a copy of the GNU Lesser General Public
 *  License along with this library; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 *  $Id: BarDescription.java,v 1.7 2001/12/20 16:49:08 max Exp $
 *
 */

package make.swing.bt;

import java.util.Vector;
import java.util.Locale;
import java.awt.Container;
import org.w3c.dom.Element;
import make.xml.DOMUtil;

public abstract class BarDescription {
    /*properties***************************/
    protected ButtonContainer buttonContainer;
    /*Constructor************************/
    public BarDescription(ButtonContainer _bc) {
        buttonContainer = _bc; 
    }
    /*Util*********************************/
    protected ButtonDescription loadChild(Element d, Class cls, Locale locale) {
        String tag = d.getTagName();
        if (tag.equals("buttonref")) {
            String name = d.getAttribute("name");
            ButtonDescription bd = buttonContainer.getButton(name);
            if (bd==null)
                System.err.println("WARNING: button "+name+" not found");
            return bd;
        } else if (tag.equals("button"))
            return new ButtonDescription(d, cls, locale);
        else if (!tag.equals("separator"))
            System.err.println("WARNING: unknown bar item "+tag);
        return null;
    }
    protected ButtonDescription[] loadChildren(Element l, Class cls, Locale locale) {
        Element[] chs = DOMUtil.getChildElements(l);
        ButtonDescription[] bd = new ButtonDescription[chs.length];
        for (int z=0; z<chs.length; z++)
            bd[z] = loadChild(chs[z], cls, locale);
        return bd;
    }
    /*BarContainer**************************/
    public abstract Container install(Container c, Vector bts, Vector cps);
}
