/*
 *
 *  MakeLib
 *  Copyright (c) 1997-2001 Max Kellermann (max.kellermann@epost.de)
 *
 *  This library is free software; you can redistribute it and/or
 *  modify it under the terms of the GNU Lesser General Public
 *  License as published by the Free Software Foundation;
 *  version 2.1 of the License.
 *
 *  This library is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 *  Lesser General Public License for more details.
 *
 *  You should have received a copy of the GNU Lesser General Public
 *  License along with this library; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 *  $Id: ToolBarButton.java,v 1.4 2001/08/20 09:23:39 max Exp $
 *
 */

package make.swing.bt;

import java.awt.Insets;
import javax.swing.JButton;

/**
 * ToolBarButton is a JButton that can be used as
 * a button for a JToolBar.
 */
public class ToolBarButton extends JButton {
    protected static final Insets margin = new Insets(1,1,1,1);
    /*Constructor**************************/
    public ToolBarButton() {
        setRequestFocusEnabled(false);
        setMargin(new Insets(1,1,1,1));
    }
    public ToolBarButton(String _text) {
	super(_text);
        setRequestFocusEnabled(false);
        setMargin(new Insets(1,1,1,1));
    }
    /*Component***************************/
    public boolean isFocusTraversable() { return false; }
}
