/*
 *
 *  MakeLib
 *  Copyright (c) 1997-2001 Max Kellermann (max.kellermann@epost.de)
 *
 *  This library is free software; you can redistribute it and/or
 *  modify it under the terms of the GNU Lesser General Public
 *  License as published by the Free Software Foundation;
 *  version 2.1 of the License.
 *
 *  This library is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 *  Lesser General Public License for more details.
 *
 *  You should have received a copy of the GNU Lesser General Public
 *  License along with this library; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 *  $Id: FieldAdapter.java,v 1.3 2001/08/20 09:23:39 max Exp $
 *
 */

package make.swing.field;

import java.awt.Component;
import java.text.ParseException;
import make.swing.ButtonManager;

public class FieldAdapter implements Field {
    /***properties**************************/
    protected Field field;
    /***Constructor************************/
    public FieldAdapter(Field _f) {
	field = _f;
    }
    /***Field*******************************/
    public void install(ButtonManager bm) {
	field.install(bm);
    }
    public void uninstall(ButtonManager bm) {
	field.uninstall(bm);
    }
    public Component getComponent() { return field.getComponent(); }
    public void setValue(Object v) throws ParseException {
	field.setValue(v);
    }
    public Object getValue() throws ParseException {
	return field.getValue();
    }
    public void setEnabled(boolean _e) {
	field.setEnabled(_e);
    }
    public boolean getEnabled() {
	return field.getEnabled();
    }
    public void addFieldListener(FieldListener _l) {
	field.addFieldListener(_l);
    }
    public void removeFieldListener(FieldListener _l) {
	field.removeFieldListener(_l);
    }
    public void dispose() {
	field.dispose();
	field = null;
    }
}
