/*
 *
 *  MakeLib
 *  Copyright (c) 1997-2001 Max Kellermann (max.kellermann@epost.de)
 *
 *  This library is free software; you can redistribute it and/or
 *  modify it under the terms of the GNU Lesser General Public
 *  License as published by the Free Software Foundation;
 *  version 2.1 of the License.
 *
 *  This library is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 *  Lesser General Public License for more details.
 *
 *  You should have received a copy of the GNU Lesser General Public
 *  License along with this library; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 *  $Id: InputLinkFactory.java,v 1.7 2001/12/20 16:49:08 max Exp $
 *
 */

package make.swing.il;

import java.util.Locale;
import org.w3c.dom.Element;

/**
 * An InputLinkFactory has got the ability to load InputLink
 * objects from a DOM tree.
 */
public interface InputLinkFactory {
    /**
     * XML namespace for DOM trees which store InputLink objects.
     */
    String XML_NAMESPACE = "http://www.leanedit.org/xmlns/inputlink";
    /**
     * retrieves the InputLink stored in the specified DOM tree fragment
     */
    InputLink createInputLink(Element vd, Locale locale);
}
