/*
 *
 *  MakeLib
 *  Copyright (c) 1997-2001 Max Kellermann (max.kellermann@epost.de)
 *
 *  This library is free software; you can redistribute it and/or
 *  modify it under the terms of the GNU Lesser General Public
 *  License as published by the Free Software Foundation;
 *  version 2.1 of the License.
 *
 *  This library is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 *  Lesser General Public License for more details.
 *
 *  You should have received a copy of the GNU Lesser General Public
 *  License along with this library; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 *  $Id: InputLinkUtil.java,v 1.2 2001/08/20 09:23:39 max Exp $
 *
 */

package make.swing.il;

import java.util.Enumeration;
import java.awt.Component;
import javax.swing.JComponent;
import make.swing.field.Field;

public abstract class InputLinkUtil {
    public static Field findFirstField(InputLink il) {
	if (il instanceof FieldInputLink) {
	    return ((FieldInputLink)il).getField();
	} else if (il instanceof CompositeInputLink) {
	    Enumeration enum = ((CompositeInputLink)il).getInputLinks();
	    while (enum.hasMoreElements()) {
		InputLink il2 = (InputLink)enum.nextElement();
		Field f = findFirstField(il2);
		if (f!=null)
		    return f;
	    }
	    return null;
	} else
	    return null;
    }
    public static void focusFirstField(InputLink il) {
	Field f = findFirstField(il);
	if (f!=null) {
	    Component c = f.getComponent();
	    f.getComponent().requestFocus();
	    Component c2 = il.getComponent();
	    if (c2 instanceof JComponent)
		((JComponent)c2).putClientProperty("focusComponent", c);
	}
    }
}
