/*
 *
 *  MakeLib
 *  Copyright (c) 1997-2001 Max Kellermann (max.kellermann@epost.de)
 *
 *  This library is free software; you can redistribute it and/or
 *  modify it under the terms of the GNU Lesser General Public
 *  License as published by the Free Software Foundation;
 *  version 2.1 of the License.
 *
 *  This library is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 *  Lesser General Public License for more details.
 *
 *  You should have received a copy of the GNU Lesser General Public
 *  License along with this library; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 *  $Id: ProxyPanelContent.java,v 1.2 2001/12/18 19:36:29 max Exp $
 *
 */

package make.swing.panel;

import java.awt.Component;

public class ProxyPanelContent implements PanelContent {
    /*properties***************/
    protected PanelContent parent;
    /*Constructor******************/
    protected ProxyPanelContent(PanelContent _par) {
        parent = _par;
    }
    /*PanelContent*****************/
    public Component getComponent() {
        return parent.getComponent();
    }
    public boolean panelClosing() {
        return parent.panelClosing();
    }
    public void panelClosed() {
        parent.panelClosed();
    }
}
