/*
 *
 *  MakeLib
 *  Copyright (c) 1997-2001 Max Kellermann (max.kellermann@epost.de)
 *
 *  This library is free software; you can redistribute it and/or
 *  modify it under the terms of the GNU Lesser General Public
 *  License as published by the Free Software Foundation;
 *  version 2.1 of the License.
 *
 *  This library is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 *  Lesser General Public License for more details.
 *
 *  You should have received a copy of the GNU Lesser General Public
 *  License along with this library; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 *  $Id: Highlighter.java,v 1.5 2001/08/20 09:23:39 max Exp $
 *
 */

package make.swing.text.view;

import java.awt.Graphics;
import java.awt.Shape;
import javax.swing.text.BadLocationException;
import make.swing.text.TextComponent;

public interface Highlighter {
    void install(TextComponent c);
    void deinstall(TextComponent c);
    Object addHighlight(int p0, int p1, HighlightPainter p) 
	throws BadLocationException;
    void removeHighlight(Object tag);
    void removeAllHighlights();
    void changeHighlight(Object tag, int p0, int p1) 
	throws BadLocationException;
    Highlight[] getHighlights();
    void paintHighlights(Graphics g, int p0, int p1,
				Shape viewBounds,
				TextComponent editor, View view);
    /*HighlightPainter**************************/
    interface HighlightPainter {
	Shape paint(Graphics g, int p0, int p1,
		    Shape viewBounds, TextComponent editor,
		    View view);
    }
    /*Highlight*******************************/
    interface Highlight {
	int getStartOffset();
	int getEndOffset();
	HighlightPainter getPainter();
    }
}
