/*
 *
 *  MakeLib
 *  Copyright (c) 1997-2001 Max Kellermann (max.kellermann@epost.de)
 *
 *  This library is free software; you can redistribute it and/or
 *  modify it under the terms of the GNU Lesser General Public
 *  License as published by the Free Software Foundation;
 *  version 2.1 of the License.
 *
 *  This library is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 *  Lesser General Public License for more details.
 *
 *  You should have received a copy of the GNU Lesser General Public
 *  License along with this library; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 *  $Id: UnknownView.java,v 1.3 2001/08/20 09:23:39 max Exp $
 *
 */

package make.swing.text.view;

import java.awt.Graphics;
import java.awt.Shape;
import java.awt.Rectangle;
import java.awt.Color;
import make.swing.text.Element;

public class UnknownView extends ParagraphView {
    public UnknownView(Element _se, ViewFactory vf) {
	super(_se, vf);
	setInsets((short)2, (short)2, (short)2, (short)2);
    }
    public void paint(Graphics g, Shape allocation) {
	super.paint(g, allocation);
	Rectangle alloc = allocation.getBounds();
	g.setColor(Color.black);
	g.drawRect(alloc.x, alloc.y, alloc.width-1, alloc.height-1);
    }
}
