/*
 *
 *  MakeLib
 *  Copyright (c) 1997-2001 Max Kellermann (max.kellermann@epost.de)
 *
 *  This library is free software; you can redistribute it and/or
 *  modify it under the terms of the GNU Lesser General Public
 *  License as published by the Free Software Foundation;
 *  version 2.1 of the License.
 *
 *  This library is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 *  Lesser General Public License for more details.
 *
 *  You should have received a copy of the GNU Lesser General Public
 *  License along with this library; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 *  $Id: AppendEnumeration.java,v 1.3 2001/08/20 09:23:39 max Exp $
 *
 */

package make.util;

import java.util.Enumeration;

public class AppendEnumeration implements Enumeration {
    /***properties**************************/
    protected Enumeration[] enumerations;
    protected boolean hasMore;
    protected int pos = 0;
    /***Constructor***********************/
    public AppendEnumeration(Enumeration[] _es) {
	enumerations = _es;
	findNext();
    }
    public AppendEnumeration(Enumeration e1, Enumeration e2) {
	this(new Enumeration[]{e1,e2});
    }
    protected void findNext() {
	for (; pos<enumerations.length; pos++)
	    if (enumerations[pos].hasMoreElements()) {
		hasMore = true; return;
	    }
	hasMore = false;
    }
    /***Enumeration*********************/
    public boolean hasMoreElements() {
	return hasMore;
    }
    public Object nextElement() {
	Object o = enumerations[pos].nextElement();
	findNext();
	return o;
    }
}
