/*
 *
 *  MakeLib
 *  Copyright (c) 1997-2001 Max Kellermann (max.kellermann@epost.de)
 *
 *  This library is free software; you can redistribute it and/or
 *  modify it under the terms of the GNU Lesser General Public
 *  License as published by the Free Software Foundation;
 *  version 2.1 of the License.
 *
 *  This library is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 *  Lesser General Public License for more details.
 *
 *  You should have received a copy of the GNU Lesser General Public
 *  License along with this library; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 *  $Id: RemoveInterval.java,v 1.3 2001/08/20 09:23:39 max Exp $
 *
 */

package make.util;

public class RemoveInterval extends Interval {
    /***Constructor****************************/
    public RemoveInterval() {}
    /***Grow********************************/
    public void removed(int i) {
	if (isValid()) {
	    if (first>i) {
		first--;
		last--;
	    }
	}
    }
    public void inserted(int i) {
	if (isValid()) {
	    if (first>i) {
		first++;
		last++;
	    }
	}
    }
    public void include(int i) {
	if (!isValid())
	    first = last = i;
	else if (i==(first-1))
	    first--;
	else if (i==first)
	    last++;
	else {
	    System.err.println("FATAL ERROR: wrong index: "+i);
	    System.err.println("first="+first+" last="+last);
	    throw new IllegalArgumentException("wrong index: "+i);
	}
    }
    public void include(Interval i) {
	final int first = i.getFirst();
	for (int z=i.getCount(); z>0; z--)
	    include(first);
	// TODO: optimieren
    }
}
