/*
 *
 *  MakeLib
 *  Copyright (c) 1997-2001 Max Kellermann (max.kellermann@epost.de)
 *
 *  This library is free software; you can redistribute it and/or
 *  modify it under the terms of the GNU Lesser General Public
 *  License as published by the Free Software Foundation;
 *  version 2.1 of the License.
 *
 *  This library is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 *  Lesser General Public License for more details.
 *
 *  You should have received a copy of the GNU Lesser General Public
 *  License along with this library; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 *  $Id: DOMPhonetCounter.java,v 1.5 2001/08/20 09:23:39 max Exp $
 *
 */

package make.xml;

import org.w3c.dom.Node;
import org.w3c.dom.NodeList;
import make.util.Phonet;
import make.util.PhonetCounter;

public class DOMPhonetCounter extends PhonetCounter {
    /***Constructor*******************************/
    public DOMPhonetCounter(Phonet _phonet) {
	super(_phonet);
    }
    public void add(Node n) {
	switch (n.getNodeType()) {
	case Node.TEXT_NODE:
	    add(n.getNodeValue());
	    break;
	default:
	    NodeList nl = n.getChildNodes();
	    for (int z=0; z<nl.getLength(); z++)
		add(nl.item(z));
	    break;
	}
    }
}
