/*
 *
 *  MakeLib
 *  Copyright (c) 1997-2001 Max Kellermann (max.kellermann@epost.de)
 *
 *  This library is free software; you can redistribute it and/or
 *  modify it under the terms of the GNU Lesser General Public
 *  License as published by the Free Software Foundation;
 *  version 2.1 of the License.
 *
 *  This library is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 *  Lesser General Public License for more details.
 *
 *  You should have received a copy of the GNU Lesser General Public
 *  License along with this library; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 *  $Id: DOMSlot.java,v 1.4 2001/12/19 16:59:31 max Exp $
 *
 */

package make.xml.slot;

import org.w3c.dom.Node;
import make.datamodel.slot.Slot;

public abstract class DOMSlot implements Slot {
    /***properties**************************/
    protected Node base;
    protected String path;
    /***Constructor***********************/
    protected DOMSlot(Node _b, String _p) {
        base = _b; path = _p;
    }
    /***Info********************************/
    public Node getBaseNode() { return base; }
    public String getPath() { return path; }
}
