/*
 *
 *  MakeLib
 *  Copyright (c) 1997-2001 Max Kellermann (max.kellermann@epost.de)
 *
 *  This library is free software; you can redistribute it and/or
 *  modify it under the terms of the GNU Lesser General Public
 *  License as published by the Free Software Foundation;
 *  version 2.1 of the License.
 *
 *  This library is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 *  Lesser General Public License for more details.
 *
 *  You should have received a copy of the GNU Lesser General Public
 *  License along with this library; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 *  $Id: ElementSlot.java,v 1.4 2001/08/20 09:23:39 max Exp $
 *
 */

package make.xml.slot;

import java.text.ParseException;
import org.w3c.dom.Node;
import org.w3c.dom.Element;
import make.xml.DOMUtil;
import make.xml.ElementType;

public class ElementSlot extends DOMSlot {
    /***properties*****************************/
    protected Element element;
    protected ElementType type;
    /***Constructor*****************************/
    public ElementSlot(Node _b, String _p, Element _el, ElementType _type) {
	super(_b, _p);
	element = _el; type = _type;
    }
    public ElementSlot(Node _b, String _p, Element _el) {
	this(_b, _p, _el, null);
    }
    /***Slot**********************************/
    public void setValue(Object v) throws ParseException {
	DOMUtil.setElementString(element, (String)v);
    }
    public Object getValue() throws ParseException {
	return DOMUtil.getElementString(element);
    }
}
